Update Submission
curl --request PUT \
--url https://api.swoogo.com/api/v1/submissions/update/{submission_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data date=2022-06-09 \
--data 'name=The Mighty Yangtze River (Update)'import requests
url = "https://api.swoogo.com/api/v1/submissions/update/{submission_id}"
payload = {
"date": "2022-06-09",
"name": "The Mighty Yangtze River (Update)"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({date: '2022-06-09', name: 'The Mighty Yangtze River (Update)'})
};
fetch('https://api.swoogo.com/api/v1/submissions/update/{submission_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401
}{
"name": "Forbidden",
"message": "You do not have access to that resource.",
"code": 0,
"status": 403
}{
"name": "Not Found",
"message": "The requested resource does not exist.",
"code": 0,
"status": 404
}{
"name": "Internal Server Error",
"message": "An error occurred while processing your request.",
"code": 0,
"status": 500
}Call for Speaker Submissions
Update Submission
Updates an existing speaker submission by its ID. You can modify the session topic, abstract, speaker details, track preference, and review status.
PUT
/
submissions
/
update
/
{submission_id}
Update Submission
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Path Parameters
integer - required - The ID of the submission you want to update
Example:
1
Body
application/x-www-form-urlencoded
Response
⌘I